Package org.eclipse.jdt.core.search

# Class SearchRequestor

java.lang.Object
org.eclipse.jdt.core.search.SearchRequestor

public abstract class SearchRequestor extends Object
Collects the results from a search engine query. Clients implement a subclass to pass to `SearchEngine.search` and implement the `acceptSearchMatch(SearchMatch)` method, and possibly override other life cycle methods.

The search engine calls `beginReporting()` when a search starts, then calls `acceptSearchMatch(...)` for each search result, and finally calls `endReporting()`. The order of the search results is unspecified and may vary from request to request; when displaying results, clients should not rely on the order but should instead arrange the results in an order that would be more meaningful to the user.

Since:
  3.0
See Also:
  - `SearchEngine`

## Constructor Summary

Constructors
Constructor
Description
`SearchRequestor()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`acceptSearchMatch(SearchMatch match)`
Accepts the given search match.
`void`
`beginReporting()`
Notification sent before starting the search action.
`void`
`endReporting()`
Notification sent after having completed the search action.
`void`
`enterParticipant(SearchParticipant participant)`
Intermediate notification sent when the given participant starts to contribute.
`void`
`exitParticipant(SearchParticipant participant)`
Intermediate notification sent when the given participant is finished contributing.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SearchRequestor

public SearchRequestor()

## Method Details

### acceptSearchMatch

public abstract void acceptSearchMatch(SearchMatch match) throws CoreException
Accepts the given search match.

Parameters:
  `match` - the found match
Throws:
  `CoreException`

### beginReporting

public void beginReporting()
Notification sent before starting the search action. Typically, this would tell a search requestor to clear previously recorded search results.

The default implementation of this method does nothing. Subclasses may override.

### endReporting

public void endReporting()
Notification sent after having completed the search action. Typically, this would tell a search requestor collector that no more results will be forthcoming in this search.

The default implementation of this method does nothing. Subclasses may override.

### enterParticipant

public void enterParticipant(SearchParticipant participant)
Intermediate notification sent when the given participant starts to contribute.

The default implementation of this method does nothing. Subclasses may override.

Parameters:
  `participant` - the participant that is starting to contribute

### exitParticipant

public void exitParticipant(SearchParticipant participant)
Intermediate notification sent when the given participant is finished contributing.

The default implementation of this method does nothing. Subclasses may override.

Parameters:
  `participant` - the participant that finished contributing